Subject: [eap] Issue 112: Rewrite of IANA Considerations

From: [email-masked] (Jari Arkko)
Date: Tue, 06 May 2003 13:29:38 +0300

Sounds reasonable. But some questions below:

Bernard Aboba wrote:
> Submitter name: Bernard Aboba
> Submitter email address: [email-masked]
> Date first submitted: April 25th, 2003
> Reference:
> Document: EAP-02
> Comment type: T
> Priority: S
> Section: 6.2
> Rationale/Explanation of issue:
> 
> It is desirable to require a published RFC for EAP methods,
> if possible. Rewrite Section 6.2 to the following:
> 
> "For registration requests where a Designated Expert should be consulted,
> the responsible IESG area director should appoint the Designated Expert.
> The intention is that any allocation will be accompanied by a published
> RFC. But in order to allow for the allocation of values prior to the
> RFC being approved for publication, the Designated Expert can approve
> allocations once it seems clear that an RFC will be published. The

"Seems clear" does not seem clear to me ;-) That is, I'm not sure
how the DE evaluates this condition. Can we be more specific?
An allocation is approved if the DE approves the method, and
the method description has been submitted as an Internet Draft?
Or has been submitted to the RFC Editor / IESG for publication?
Or WG / IETF LC started / finished?

(Specification Required might fit our requirements otherwise
well, but I think we wanted to get allocations slightly earlier
than it would mean. Then again RFC 2434 doesn't explicitly say
in which order things will happen.)

--Jari